<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
</head>
<body>
    <script>
        //Ejercicio 1: Obtén la fecha de hoy y sacala por pantalla.
        let fechaHoy = new Date();
        //alert(fechaHoy);
        //Ejercicio 2: Según el día de la semana y la hora actual, informa por pantalla si estás o no en clase de M04.
        if(fechaHoy.getDay() == 1){
            if(fechaHoy.getHours()>= 11 || fechaHoy.getHours()<=13){
                //alert("Es clase de M07");
            }
        }
        else if(fechaHoy.getDay() == 2){
            if(fechaHoy.getHours()>= 8 || fechaHoy.getHours()<=11){
                //alert("Es clase de M07");
            }
        }
        else if (fechaHoy.getDay() == 5){
            if(fechaHoy.getHours()>= 8 || fechaHoy.getHours()<=10){
                //alert("Es clase de M07");
            }
        }
        else{
            //alert("NO HAY CLASE");
        }

        //Ejercicio 3: Desde hoy calcula cuánto tiempo falta para tu cumpleaños.
        let fechaCumpleanos = new Date(2023,05,04);
        let segundos = fechaCumpleanos.getTime()/1000 - fechaHoy.getTime()/1000;
        alert("QUEDAN " + parseInt(segundos)    + " segundos\n" +
              "QUEDAN "  + parseInt(segundos/60)   + " minutos\n" +
              "QUEDAN "   + parseInt(segundos/3600)  + " horas\n"  +
              "QUEDAN "    + parseInt(segundos/86400)  + " Dias" );
        /*
        segundos 8899200
        minutos 148320
        horas 2472
        dias 103
        */
       
        //Ejercicio 4: Mira si el día de la Mercé (24/09/20XX) cae en domingo o sábado los próximos años. Informa con 20XX-dia, cuando el día no sea ni domingo ni sábado, comprueba hasta 2060.
        /*for (let index = 2023; index <= 2060; index++) {
            let fechaMerce = new Date(index, 8,24);
            if(fechaMerce.getDay() == 6 || fechaMerce.getDay() == 0 ){

            }else{
                alert(index + " - " +fechaMerce.getDay());
            }
            
        }*/

        //Ejercicio 5: Crea un reloj con horas, minutos y segundos que haga “tick” cada segundo. El formato de salida cada segundo será:
        setTimeout
    </script>
</body>
</html>